'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Action = undefined;

var _bzXml = require('bz-xml');

var _bzXml2 = _interopRequireDefault(_bzXml);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createAction = function createAction(actionDTO) {
  return {
    guid: (0, _utils.uuid)(),
    name: actionDTO.name,
    displayName: (0, _utils.toCamelCase)(actionDTO.name.replace('-', ' ')),
    description: actionDTO.description,
    actiontype: 'custom',
    contenttype: '',
    resturl: '',
    httpoperation: 'notdefined',
    useauthentication: false,
    xsdinput: (0, _utils.toBase64)((0, _bzXml2.default)(actionDTO.inputs, 'input')),
    xsdoutput: (0, _utils.toBase64)((0, _bzXml2.default)(actionDTO.outputs, 'output'))
  };
};

var Action = exports.Action = function Action(actionDTOs) {
  return actionDTOs.map(createAction);
};