'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
var makeDefinition = function makeDefinition(definitionDTO) {
	return {
		globalguid: definitionDTO.id,
		name: definitionDTO.name,
		foldername: definitionDTO.name.toLowerCase(),
		description: definitionDTO.description,
		homeurl: definitionDTO.url,
		icon: definitionDTO.icon,
		version: '1.0.0',
		runtimeversion: '1',
		author: 'Carlos Camilo Lobo Ulloque',
		type: 'custom',
		systemdefinition: {
			properties: [],
			authentications: [{
				authenticationtype: 'custom',
				name: 'custom',
				properties: definitionDTO.auth
			}]
		},
		actions: definitionDTO.actions
	};
};

var Definition = exports.Definition = function Definition(definitionDTO) {
	return makeDefinition(definitionDTO);
};